"use strict";

exports.__esModule = true;
exports.default = void 0;
var _apidomJsonPointer = require("@swagger-api/apidom-json-pointer");
// compile :: RelativeJSONPointer -> String
const compile = relativeJsonPointer => {
  let relativePointer = '';

  // non-negative-integer
  relativePointer += String(relativeJsonPointer.nonNegativeIntegerPrefix);

  // index-manipulation
  if (typeof relativeJsonPointer.indexManipulation === 'number') {
    relativePointer += String(relativeJsonPointer.indexManipulation);
  }
  if (Array.isArray(relativeJsonPointer.jsonPointerTokens)) {
    // <json-pointer>
    relativePointer += (0, _apidomJsonPointer.compile)(relativeJsonPointer.jsonPointerTokens);
  } else if (relativeJsonPointer.hashCharacter) {
    // "#"
    relativePointer += '#';
  }
  return relativePointer;
};
var _default = compile;
exports.default = _default;