export default class InvalidRelativeJsonPointerError extends Error {
  constructor(relativePointer) {
    super(`Invalid Relative JSON Pointer "${relativePointer}".`);
    this.name = this.constructor.name;
    this.message = `Invalid Relative JSON Pointer "${relativePointer}".`;
    if (typeof Error.captureStackTrace === 'function') {
      Error.captureStackTrace(this, this.constructor);
    } else {
      this.stack = new Error(`Invalid Relative JSON Pointer "${relativePointer}".`).stack;
    }
  }
}