import { Element } from '@swagger-api/apidom-core';

type RelativeJsonPointer = {
    readonly nonNegativeIntegerPrefix: number;
    readonly indexManipulation?: number;
    readonly jsonPointerTokens?: string[];
    readonly hashCharacter?: boolean;
};

declare const isRelativeJsonPointer: (value: any) => boolean;
declare const parse: (relativePointer: string) => RelativeJsonPointer;

declare const compile: (relativeJsonPointer: RelativeJsonPointer) => string;

declare const evaluate: <T extends Element, U extends Element>(relativePointer: string, currentElement: T, rootElement: U) => Element;

declare class EvaluationRelativeJsonPointerError extends Error {
}

declare class InvalidRelativeJsonPointerError extends Error {
    constructor(relativePointer: string);
}

export { EvaluationRelativeJsonPointerError, InvalidRelativeJsonPointerError, compile, evaluate, isRelativeJsonPointer, parse };
